Loading...
Searching...
No Matches
BALL::VIEW::DockProgressDialog Class Reference
Visualisation » QT Dialogs

`#include <BALL/VIEW/DIALOGS/dockProgressDialog.h>`

Inheritance diagram for BALL::VIEW::DockProgressDialog:

## Public Member Functions

Constructors and Destructors
| DockProgressDialog (QWidget *parent=0, const char *name="DockProgressDialog")
virtual | ~DockProgressDialog ()

## Accessors: inspectors and mutators

void | setDockingAlgorithm (DockingAlgorithm *alg)
const DockingAlgorithm * | getDockingAlgorithm () const
void | fillDialog (const QString &p1, const QString &p2, const QString &alg, const QString &sf, const Options &alg_opt, const Options &sf_opt)
void | show ()
void | pauseClicked ()
void | abortClicked ()
void | updateProgress_ ()

## Detailed Description

Dialog for showing the progress during a docking calculation.

Definition at line 33 of file dockProgressDialog.h.

## Constructor & Destructor Documentation

## DockProgressDialog()

BALL::VIEW::DockProgressDialog::DockProgressDialog | ( | QWidget * | parent = 0,
|  | const char * | name = "DockProgressDialog" )

Constructor

Parameters

  parent | the parent widget of the DockProgressDialog
  name | the name of the DockProgressDialog
  modal | the modal flag
  fl | the widget flags

## ~DockProgressDialog()

virtual BALL::VIEW::DockProgressDialog::~DockProgressDialog | ( |  | ) |

virtual

Destructor

## Member Function Documentation

## abortClicked

void BALL::VIEW::DockProgressDialog::abortClicked | ( |  | ) |

slot

Is called when abort button is pressed. Aborts docking calculations. Closes and deletes the dialog.

## fillDialog()

void BALL::VIEW::DockProgressDialog::fillDialog | ( | const QString & | p1,
|  | const QString & | p2,
|  | const QString & | alg,
|  | const QString & | sf,
|  | const Options & | alg_opt,
|  | const Options & | sf_opt )

Fills ProgressDialog with information about the chosen docking partners, algorithm, scoring function and options.

Parameters

  p1 | first docking partner
  p2 | second docking partner
  alg | docking algorithm
  sf | scoring function
  alg_opt | algorithm options
  sf_opt | scoring function options

## getDockingAlgorithm()

const DockingAlgorithm * BALL::VIEW::DockProgressDialog::getDockingAlgorithm | ( |  | ) | const

Get docking algorithm.

## pauseClicked

void BALL::VIEW::DockProgressDialog::pauseClicked | ( |  | ) |

slot

Is called when pause button / continue button is pressed. Pauses / continues docking calculations.

## setDockingAlgorithm()

void BALL::VIEW::DockProgressDialog::setDockingAlgorithm | ( | DockingAlgorithm * | alg | ) |

Sets docking algorithm.

Parameters

  alg | docking algorithm

## show

void BALL::VIEW::DockProgressDialog::show | ( |  | ) |

slot

Starts timer and shows dialog to user.

## updateProgress_

void BALL::VIEW::DockProgressDialog::updateProgress_ | ( |  | ) |

protected slot

Is called when timer elapses. Gets current progress of docking algorithm. Sets progress bar to current progress and calculates remaining time. Closes and deletes the dialog when calculations have finished.